## python-os-resource-classes 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0  # Apache-2.0
# releasenotes
reno>=2.5.0 # Apache-2.0

## python-os-resource-classes 0.3.0

=== debian/changelog ===
python-os-resource-classes (0.3.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 14 Mar 2019 21:19:38 +0000

python-os-resource-classes (0.3.0-0ubuntu1) disco; urgency=low

  * Initial release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 06:10:48 +0000

=== debian/control ===
Source: python-os-resource-classes
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-mock,
 python3-oslotest (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 1.4.0),
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/os-resource-classes
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-resource-classes
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-os-resource-classes

Package: python3-os-resource-classes
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Standardized resource classes for OpenStack
 A resource class is a distinct type of inventory that exists in
 a cloud environment, for example `VCPU`, `DISK_GB`. They are
 upper case with underscores. They often include a unit in their
 name.
 .
 This package provides a collection of symbols representing those
 standard resource classes which are expected to be available in
 any OpenStack deployment.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-os-resource-classes 0.5.0

=== debian/changelog ===
python-os-resource-classes (0.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 00:49:30 +0200

python-os-resource-classes (0.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:08:31 +0200

python-os-resource-classes (0.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Removed Python 2 build-depends (Closes: #937990).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 22:23:43 +0200

python-os-resource-classes (0.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:55:59 +0200

python-os-resource-classes (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #925619)

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 18:07:28 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-resource-classes/os-resource-classes-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-os-resource-classes 1.0.0

=== debian/changelog ===
python-os-resource-classes (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 15:14:19 +0200

python-os-resource-classes (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:01:09 +0200

=== debian/control ===
Source: python-os-resource-classes
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-reno,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-resource-classes
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-resource-classes.git
Homepage: https://docs.openstack.org/os-resource-classes/latest/

Package: python-os-resource-classes-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Resource Classes for OpenStack - doc
 A resource class is a distinct type of inventory that exists in a cloud
 environment, for example VCPU, DISK_GB. They are upper case with underscores.
 They often include a unit in their name.
 .
 This package provides a collection of symbols representing those standard
 resource classes which are expected to be available in any OpenStack
 deployment.
 .
 There also exists a concept of custom resource classes. These are countable
 types that are custom to a particular environment. The OpenStack placement API
 provides a way to create these. A custom resource class always begins with a
 CUSTOM_ prefix.
 .
 This package contains the documentation.

Package: python3-os-resource-classes
Architecture: all
Depends:
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-os-resource-classes-doc,
Description: Resource Classes for OpenStack - Python 3.x
 A resource class is a distinct type of inventory that exists in a cloud
 environment, for example VCPU, DISK_GB. They are upper case with underscores.
 They often include a unit in their name.
 .
 This package provides a collection of symbols representing those standard
 resource classes which are expected to be available in any OpenStack
 deployment.
 .
 There also exists a concept of custom resource classes. These are countable
 types that are custom to a particular environment. The OpenStack placement API
 provides a way to create these. A custom resource class always begins with a
 CUSTOM_ prefix.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-resource-classes.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-os-resource-classes-doc/usr/share/doc/python-os-resource-classes-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-os-resource-classes 1.1.0

=== debian/changelog ===
python-os-resource-classes (1.1.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 13:02:49 -0400

python-os-resource-classes (1.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:26:57 -0400

python-os-resource-classes (0.5.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:35:35 -0400

python-os-resource-classes (0.4.0-0ubuntu2) eoan; urgency=medium

  * d/rules: Add override_dh_auto_clean/override_dh_auto_build due to
    attempted use of missing py2 dependencies when backported to bionic.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jun 2019 10:39:11 -0400

python-os-resource-classes (0.4.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Align config with other OpenStack packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jun 2019 10:19:55 -0400

=== debian/control ===
Source: python-os-resource-classes
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-mock,
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslotest (>= 1:1.10.0),
 python3-reno,
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 0.0.18),
 python3-testtools (>= 1.4.0),
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/os-resource-classes
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-resource-classes
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-os-resource-classes

Package: python3-os-resource-classes
Architecture: all
Depends:
 python3-pbr (>= 2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Standardized resource classes for OpenStack
 A resource class is a distinct type of inventory that exists in
 a cloud environment, for example `VCPU`, `DISK_GB`. They are
 upper case with underscores. They often include a unit in their
 name.
 .
 This package provides a collection of symbols representing those
 standard resource classes which are expected to be available in
 any OpenStack deployment.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/os-resource-classes/os-resource-classes-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
